Field topocol ignored, because of unsupported type c

2012-11-02 01:05 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15798

Description

topocol is a column of the "TopoGeometry" which contains all nulls.

Note that another "TopoGeometry" field in the same table works just fine.

And another of type "Geometry" also work, still in the same table.

Visually, you get the effect that the "topocol" column in the selector cannot be selected and the "Spatial Type" column is stuck at

"Detecting..." message.

Associated revisions

Revision 35646bbc - 2012-11-03 09:51 PM - Jürgen Fischer

partly fix #6610

History

#1 - 2012-11-02 01:21 PM - Sandro Santilli

Sounds like a missing check for query execution error, in qgspostgresprovider.cpp:1020

#2 - 2012-11-02 01:23 PM - Jürgen Fischer

Sandro Santilli wrote:

Sounds like a missing check for query execution error, in qgspostgresprovider.cpp:1020

how should a composite type be represented as feature attribute?

#3 - 2012-11-02 01:33 PM - Sandro Santilli

Can you cast it to text ? At least for TopoGeometry it would be perfect

#4 - 2012-11-03 01:51 PM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"35646bbc1890b79b5a937ac9aeb730583f17a27e".
